libebook::EBOOKXMLContext Class Reference documentation

Public Member Functions | List of all members
libebook::EBOOKXMLContext Class Referenceabstract

`#include <EBOOKXMLContext.h>`

Inheritance diagram for libebook::EBOOKXMLContext:

## Public Member Functions
virtual | ~EBOOKXMLContext ()=0
virtual void | startOfElement ()=0
| Signalize the start of an element.
virtual void | attribute (int name, const char *value)=0
| Process an attribute.
virtual void | endOfAttributes ()=0
| Signalize the end of attributes.
virtual std::shared_ptr< EBOOKXMLContext > | element (int name)=0
| Create a context for parsing a child element.
virtual void | text (const char *value)=0
| Process textual content of an element.
virtual void | endOfElement ()=0
| Signalize the end of an element.

## Constructor & Destructor Documentation

## ◆ ~EBOOKXMLContext()

libebook::EBOOKXMLContext::~EBOOKXMLContext | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ attribute()

virtual void libebook::EBOOKXMLContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| pure virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implemented in libebook::EBOOKXMLElementContextBase, libebook::EBOOKXMLTextContextBase, and libebook::EBOOKXMLMixedContextBase.

## ◆ element()

virtual std::shared_ptr< EBOOKXMLContext > libebook::EBOOKXMLContext::element | ( | int | name | ) |
| pure virtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implemented in libebook::EBOOKXMLTextContextBase, and libebook::EBOOKXMLEmptyContextBase.

## ◆ endOfAttributes()

virtual void libebook::EBOOKXMLContext::endOfAttributes | ( |  | ) |
| pure virtual

Signalize the end of attributes.

Implemented in libebook::EBOOKXMLElementContextBase, libebook::EBOOKXMLTextContextBase, libebook::EBOOKXMLMixedContextBase, and libebook::EBOOKXMLEmptyContextBase.

## ◆ endOfElement()

virtual void libebook::EBOOKXMLContext::endOfElement | ( |  | ) |
| pure virtual

Signalize the end of an element.

Implemented in libebook::EBOOKXMLElementContextBase, libebook::EBOOKXMLTextContextBase, libebook::EBOOKXMLMixedContextBase, and libebook::EBOOKXMLEmptyContextBase.

## ◆ startOfElement()

virtual void libebook::EBOOKXMLContext::startOfElement | ( |  | ) |
| pure virtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implemented in libebook::EBOOKXMLElementContextBase, libebook::EBOOKXMLTextContextBase, libebook::EBOOKXMLMixedContextBase, and libebook::EBOOKXMLEmptyContextBase.

## ◆ text()

virtual void libebook::EBOOKXMLContext::text | ( | const char * | value | ) |
| pure virtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implemented in libebook::EBOOKXMLElementContextBase, and libebook::EBOOKXMLEmptyContextBase.

The documentation for this class was generated from the following files:

- EBOOKXMLContext.h
- EBOOKXMLContext.cpp